package com.hcl.stubAPI;

public class ListStubsDetails {

	public static void main(String[] args) throws Exception {

		try(StubDetailsWriter writer = new StubDetailsWriter()){
			if(args.length==0) {
				System.out.println("Please Enter RTCP URL ");
			}
			else if(args.length==1) {
				String rtcpURL = args[0];
			  	rtcpURL = rtcpURL.endsWith("/") ? rtcpURL: (rtcpURL+"/") ;
			  	System.out.println("Getting Stub Details for All Domains... ");
				new APIHelper().fetchAndWriteData(writer, rtcpURL);
				System.out.println("\nStub Details have been saved in user's temp dir " + writer.getFilePath());
			}else {
				System.out.println("Please Enter Valid RTCP URL \nYou have entered too many arguments ");
			}
		}catch(Exception e) {
			System.out.println(e.getMessage());
		}
	}
}
