/*******************************************************************************
 * Licensed Materials - Property of HCL
 * (c) Copyright HCL Technologies Ltd. 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ghc.password.provider.file;

import com.ghc.password.provider.PasswordProvider;
import com.ghc.password.provider.PasswordProviderFactory;
import com.ghc.tags.TagDataStore;

/**
 * 
 */
public class FilePasswordProviderFactory implements PasswordProviderFactory {

   @Override
   public PasswordProvider newInstance(TagDataStore tds) {
      return new FilePasswordProvider(tds);
   }

}
